Package wx :: Module aui :: Class AuiTabContainer

[frames | no frames]

## Type AuiTabContainer

    object --+
             |
            AuiTabContainer

Known Subclasses:
  `AuiTabCtrl`

Proxy of C++ AuiTabContainer class

Method Summary
AuiTabContainer | `__init__(self)`
| `__del__(self)`
| `AddButton(self, id, location, normal_bitmap, disabled_bitmap)`
bool | `AddPage(self, page, info)`
bool | `ButtonHitTest(self, x, y, hit)`
| `DoShowHide(self)`
int | `GetActivePage(self)`
AuiTabArt | `GetArtProvider(self)`
int | `GetFlags(self)`
int | `GetIdxFromWindow(self, page)`
AuiNotebookPage | `GetPage(self, idx)`
size_t | `GetPageCount(self)`
wxAuiNotebookPageArray | `GetPages(self)`
size_t | `GetTabOffset(self)`
Window | `GetWindowFromIdx(self, idx)`
bool | `InsertPage(self, page, info, idx)`
bool | `MovePage(self, page, new_idx)`
| `RemoveButton(self, id)`
bool | `RemovePage(self, page)`
bool | ``SetActivePage`(self, page)` SetActivePage(self, size_t page) -> bool
| `SetArtProvider(self, art)`
| `SetFlags(self, flags)`
| `SetMeasuringFont(self, measuring_font)`
| `SetNoneActive(self)`
| `SetNormalFont(self, normal_font)`
| `SetRect(self, rect)`
| `SetSelectedFont(self, selected_font)`
| `SetTabOffset(self, offset)`
bool | `TabHitTest(self, x, y, hit)`

Property Summary
| `ActivePage`: See `GetActivePage` and `SetActivePage`
| `PageCount`: See `GetPageCount`
| `Pages`: See `GetPages`
| `thisown`: The membership flag

Method Details

### SetActivePage(self, page)

SetActivePage(self, size_t page) -> bool

  Parameters:
    `page`
    (type=Window)

  Returns:
    bool

Property Details

### ActivePage

See `GetActivePage` and `SetActivePage`

  Get Method:
    `GetActivePage`(self)
  Set Method:
    `SetActivePage`(self, page)

### PageCount

See `GetPageCount`

  Get Method:
    `GetPageCount`(self)

### Pages

See `GetPages`

  Get Method:
    `GetPages`(self)

### thisown

The membership flag

  Get Method:
    unknown--1216204756(...)
  Set Method:
    unknown--1216204700(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:01 2007 | http://epydoc.sf.net